Needish API needs.tag
Returns up to 100 recent needs tagged with the given tag, ordered by descending date of creation
method url: http://api.needish.com/needs/tag.format
Parameters
| tag Required | The tag you are searching for. |
| country new Optional (default=all) | Returns needs for the specified country. id or slug can be used. (See geo.countries for a complete countries list) |
| state new Optional (default=all) | Returns needs for the specified state. id or slug can be used. (See geo.states for a complete countries list) |
| city new Optional (default=all) | Returns needs for the specified city. id or slug can be used. (See geo.cities for a complete countries list) |
| limit Optional (default=20) | Limits the number of needs to retrieve. |
| page Optional (default=1) | The page to retrieve. |
| since Optional | Returns needs created after the specified date. |
Examples
Using curl
curl http://api.needish.com/needs/tag.xml?api_key=<your_api_key>&tag=dog
A Google Group has been created to discuss Needish API related topics. To keep updated with the API development, and discuss API related topics, suscribe to http://groups.google.com/group/needish-api
